@tailwind base;
@tailwind components;
@tailwind utilities;

[x-cloak] {
    display: none;
}


.container {
    max-width: 1960px;
}

.container form {
    background: #263245;
    padding: 30px;
}

.container .py-1 {
    padding-top: 0.25rem;
    padding-bottom: 0.25rem;
    width: 12%;
    margin: 0.25%;
}

.container input {
    border-radius: 4px;
}

.container .filters {
    margin: 24px 24px 0 0;
}

.container button[type="submit"], .container button[type="submit"]:active {
    background: green;
    border-radius: 16px;
    color: #fff;
}

.container button[type="submit"]:hover {
    background: #019201;
}

.profiles-list {
    padding: 24px;
}

.filters {
    margin-top: 24px;
}

.filter-input {
    margin: 0 auto 24px auto;
    color: #fff;
    background: #0b0f15;
    border-color: #0b0f15;
    margin-right: 24px;
}

.profiles-list table tr th, .profiles-list table tr td {
    color: #fff;
    border: 2px solid #111828;
    padding: 4px;
}

.profiles-list table tr th {
    background: #273346;
    padding: 0 6px;
}

.profiles-list table button, .profiles-list table button:active {
    background: #d8d8d8;
    color: #000;
    font-size: 0.8rem;
    padding: 0;
    border-radius: 4px;
    width: 60px;
    height: 24px;
    margin: 0 auto;
}

.profiles-list table button:hover {
    background: #fff;
}

.profiles-list > button, .profiles-list > button:active {
    background: #d8d8d8;
    margin: 24px 24px 0 0;
    padding: 12px;
    min-width: 100px;
    border-radius: 4px;
}

.profiles-list > button:hover {
    background: #fff;
}

.profiles-list > button[disabled], .profiles-list > button[disabled]:active, .profiles-list > button[disabled]:hover {
    background: #334155;
}

/* Стили для модального окна */
.modal {
    display: flex;
    justify-content: center;
    align-items: center;
    position: fixed;
    z-index: 1000;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
}

.modal-content {
    background-color: #fefefe;
    padding: 20px;
    border: 1px solid #888;
    width: 80%;
    max-width: 500px;
    border-radius: 8px;
    position: relative;
}

.modal-content button, .modal-content button:active {
    background: #c9c9c9;
    padding: 4px 8px;
    margin: 12px 8px 0 0;
    border-radius: 4px;
}

.modal-content button:hover {
    background: #e1dbdb;
}

.modal-content .close {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
    position: absolute;
    right: 8px;
    top: 0;
}

.close:hover,
.close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}

@media screen and (max-width: 992px) {
    .table-wrapper {
        overflow-x: auto;
        max-width: 100%;
    }

    .table-wrapper table {
        width: 100%;
        border-collapse: collapse;
    }

    .table-wrapper th, .table-wrapper td {
        border: 1px solid #ccc;
        padding: 8px;
        text-align: left;
    }
    .container input, .container select, .container button, .container .py-1 {
        width: 100%;
    }

    .container button[type="submit"] {
        margin-top: 24px;
    }
}
